Lucene search

K
ubuntu
UbuntuUSN-5388-1
HistoryApr 26, 2022 - 12:00 a.m.

OpenJDK vulnerabilities

2022-04-2600:00:00
ubuntu.com
114

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

6.5 Medium

AI Score

Confidence

High

5 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:N/I:N/A:P

0.001 Low

EPSS

Percentile

46.9%

Releases

  • Ubuntu 22.04 LTS
  • Ubuntu 21.10
  • Ubuntu 20.04 LTS
  • Ubuntu 18.04 ESM

Packages

  • openjdk-lts - Open Source Java implementation

Details

It was discovered that OpenJDK incorrectly limited memory when compiling a
specially crafted XPath expression. An attacker could possibly use this
issue to cause a denial of service. (CVE-2022-21426)

It was discovered that OpenJDK incorrectly handled converting certain
object arguments into their textual representations. An attacker could
possibly use this issue to cause a denial of service. (CVE-2022-21434)

It was discovered that OpenJDK incorrectly validated the encoded length of
certain object identifiers. An attacker could possibly use this issue to
cause a denial of service. (CVE-2022-21443)

It was discovered that OpenJDK incorrectly validated certain paths. An
attacker could possibly use this issue to bypass the secure validation
feature and expose sensitive information in XML files. (CVE-2022-21476)

It was discovered that OpenJDK incorrectly parsed certain URI strings. An
attacker could possibly use this issue to make applications accept
invalid of malformed URI strings. (CVE-2022-21496)

OSVersionArchitecturePackageVersionFilename
Ubuntu22.04noarchopenjdk-11-jre-zero< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-dbg< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-demo< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-doc< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-jdk< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-jdk-headless< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-jre< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-jre-headless< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu22.04noarchopenjdk-11-source< 11.0.15+10-0ubuntu0.22.04.1UNKNOWN
Ubuntu21.10noarchopenjdk-11-jre-zero< 11.0.15+10-0ubuntu0.21.10.1UNKNOWN
Rows per page:
1-10 of 361
How to protect your server from attacks?

7.5 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

6.5 Medium

AI Score

Confidence

High

5 Medium

CVSS2

Access Vector

NETWORK

Access Complexity

LOW

Authentication

NONE

Confidentiality Impact

NONE

Integrity Impact

NONE

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:N/I:N/A:P

0.001 Low

EPSS

Percentile

46.9%

Related for USN-5388-1